API reference
POST /mcp
MCP endpoint (streamable HTTP, JSON-RPC 2.0)
MCP endpoint (streamable HTTP, JSON-RPC 2.0)
Stateless Model Context Protocol endpoint: send one JSON-RPC message per POST with Accept: application/json, text/event-stream. Tools: calculate_landed_cost, estimate_market_price, decode_vin, search_listings, get_customs_rules (only those allowed by the key scopes are listed). Requires scope mcp plus the scope of each tool.
- Authentication: header
Authorization: Bearer rv_live_...(API keys and scopes) - Required scope:
mcp plus the scope of each tool
Descriptions of the operation, parameters and fields come from the OpenAPI specification (
openapi.json).Request body
Schema: object
Responses
200
JSON-RPC response.
application/json
202
Notification or response accepted (no body).
401
Missing or invalid API key.
application/problem+json · Schema: Problem
403
Key lacks scope mcp, or Origin not allowed.
application/problem+json · Schema: Problem
429
Rate limit exceeded; see Retry-After.
application/problem+json · Schema: Problem
Example
curl -s -X POST "https://api.importos.app/mcp" \
-H "Authorization: Bearer $IMPORTOS_API_KEY" \
-H "Content-Type: application/json" \
-H "Accept: application/json, text/event-stream" \
-d '{"jsonrpc":"2.0","id":1,"method":"tools/list"}'